﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class HealthDamage : MonoBehaviour
{

    public int CurrentHealth;
    public int Damage;
    public Text Health;
    public int StartHealth;

    // Use this for initialization
    void Awake()
    {
        CurrentHealth = StartHealth;
    }


    // Update is called once per frame
    void Update()
    {
        Health.text = "Health: " + CurrentHealth;
    }

    void OnTriggerEnter(Collider collision)
    {
        if (collision.gameObject.CompareTag("rocket"))
        {
            CurrentHealth = CurrentHealth - Damage;
        }

        if (CurrentHealth <= 0)
        {
            SceneManager.LoadScene("GameOver");
        }
    }
}